export declare abstract class NewRelic {
    abstract noticeError(error: Error | Object, customParams?: object): any;
    abstract shutdown(opts: object, cb: (e) => void): any;
    abstract setTransactionName(name: string): any;
    abstract startBackgroundTransaction(name: string, group?: string, handle?: () => any): any;
    abstract getTransaction(): any;
}
export declare class NewrelicUtil {
    static isNewrelicAvailable(): boolean;
    static getNewrelicIfAvailable(): NewRelic;
    static mockUtil_setNewrelic(newrelic: any): void;
    static noticeError(e: Error, params?: object): void;
}
